* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition-duration: 0.4s;
}

body {
    font-family: "Roboto", sans-serif;
}

/*

    Header

*/

.header {
    height: 70px;
    width: 100%;
    padding: 20px;
    margin-bottom: 40px;

    background-color: #353540;

    display: grid;
    grid-auto-flow: column;
    justify-content: space-between;
    align-items: center;
}

.header_title {
    color: white;
}

.messages-icon-container {
    position: relative;
    margin-right: 30px;
}

.messages-icon-container::before,
.messages-icon-container::after {
    content: '';
    display: block;

    background: #ff4136;

    position: absolute;

    animation: notification-bell-animation 4s ease-in-out infinite;
}

.messages-icon-container::before {
    height: 4px;
    width: 15px;

    top: 5px;
    right: -3px;
}

.messages-icon-container::after {
    height: 15px;
    width: 4px;

    top: 0px;
    right: 2px;
}

@keyframes notification-bell-animation {
    0% {
        transform: rotate(0);
    }
    50% {
        transform: rotate(360deg);
        height: 15px;
        width: 15px;
        border-radius: 100%;
        top: 0;
        right: 0;
    }
    100% {
        transform: rotate(0);
    }
}

.messages_icon {
    height: 30px;

    color: white;
    cursor: pointer;
}

.messages_icon:hover {
    animation: ShakingAnimatiom 1s ease-in-out 1;
}

/*
    Notifications
*/
.messages-block {
    width: 400px;
    padding: 10px 15px;
    border-radius: 10px;

    background-color: white;
    border: 2px solid gray;
    box-shadow: 2px 2px 10px 0 #353540;

    position: absolute;
    right: 10px;
    top: 80px;

    opacity: 0;
    transform: translateY(15px);

    display: none;
}

.messages-block.active {
    display: block;
}

.message {
    margin-bottom: 15px;

    display: grid;
    grid-template-columns: 60px 1fr;
    align-items: center;
    grid-gap: 15px;
}

.message:last-child {
    margin-bottom: 0;
}

.message-user {
    display: grid;
    justify-items: center;
}

.message-user-icon {
    width: 35px;
    margin-bottom: 5px;
}

.message-user-name {
    color: #353540;
}

.message-content {
    position: relative;

    height: 100%;
    border-radius: 10px;

    background: lightgray;
}

.message-content::before {
    position: absolute;
    left: -24px;
    top: 10px;

    content: '';
    display: block;
    height: 0;
    width: 0;
    border: 10px solid transparent;
    border-right: 15px solid lightgray;
}

/*
    User
*/

.user {
    display: grid;
    grid-auto-flow: column;
    align-items: center;
}

.user_block {
    margin: 0 15px 0 0;

    display: grid;
    grid-auto-flow: column;
    justify-content: space-between;
    align-items: center;
}

.user_icon_block {
    height: 37px;
    width: 37px;
    margin-right: 15px;
    border-radius: 100%;

    background: white;

    display: grid;
    place-content: center;
}

.user_icon {
    height: 20px;
    width: 20px;
}

.current-user-name {
    color: white;
}

.user-profile-block {
    width: 150px;
    border-radius: 10px;

    background: #fff;
    border: 2px solid gray;
    box-shadow: 2px 2px 10px 0 #353540;

    position: absolute;
    right: 100px;
    top: 80px;

    opacity: 0;
    transform: translateY(15px);

    display: none;
}

.user-profile-block.active {
    display: block;
}

.profile-item {
    height: 40px;
    width: 100%;
    padding: 10px;

    color: #353540;
    display: grid;
    place-content: center;

    cursor: pointer;
}

.profile-item:hover {
    background-color: #353540;
    color: white;
}

.profile-item:first-child {
    border-radius: 9px 9px 0 0;
}

.profile-item:last-child {
    border-radius: 0 0 9px 9px;
}

/*

    Content

*/

.content {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 1fr 3fr;

    margin-bottom: 40px;
}

/*

    Menu

*/

.menu_item {
    height: 40px;
    width: 120px;
    margin-left: 30px;
    padding: 5px 12px;
    border-radius: 7px;

    color: #353540;
    text-decoration: none;

    display: grid;
    align-content: center;
}

.menu_item:hover {
    background-color: #ff4136;
    transform: translateY(-3px) scale(1.01); 
    color: white;
    cursor: pointer;
}

.active {
    font-weight: bold;
    color: #ff4136;
}

/*

    Table

*/

.table_title {
    margin-bottom: 20px;
}

.table-container {
    padding: 0 50px;
}

.table-header {
    display: grid;
    grid-auto-flow: column;
    justify-content: space-between;
}

.add-student-button {
    height: 40px;
    width: 40px;
    border: 2px solid gray;
    border-radius: 5px;

    display: grid;
    place-content: center;

    font-size: 24pt;
    font-weight: bold;
    color: gray;
}

.add-student-button:hover {
    background-color: gray;
    color: white;
    transform: scale(1.1);

    cursor: pointer;
}

.table_students {
    width: 100%;
    border-collapse: collapse;
}

.table_students td, .table_students th {
    min-width: 20px;
    border: 1px solid black; 
    
    text-align: center;
}

.indicator {
    height: 20px;
    width: 20px;
    border-radius: 100%;
    margin: 0 auto; 
}

.indicator-checked {
    background: mediumseagreen;
}

.indicator-unchecked {
    background: #353540;
}

.edit-student,
.delete-student {
    height: 35px;
    width: 35px;
    margin: 10px 0;
    border-radius: 5px;

    background: transparent;
    border: 2px solid #353540;

    display: inline-grid;
    place-content: center;

    background-size: 25px;
    background-repeat: no-repeat;
    background-position: center;

    cursor: pointer;
}

.edit-student:hover,
.delete-student:hover {
    transform: scale(1.1);
}

.edit-student {
    background-image: url(../img/edit-icon.png);
}

.delete-student {
    background-image: url(../img/delete-icon.png);
}

/*

    Page navigation

*/

.page-navigation-container {
    display: grid;
    justify-content: center;
}

.page-navigation {
    display: grid;
    grid-auto-flow: column;
    justify-items: center;
}

.page-navigation-item {
    height: 40px;
    width: 40px;
    border-radius: 5px;
    margin-right: 15px;
    
    border: 2px solid gray;

    font-size: 16pt;
    font-weight: bold;

    display: grid;
    place-content: center;
}

.page-navigation-item:hover {
    transform: translateY(-5px) scale(1.01);

    background: gray;
    color: white;

    cursor: pointer;
}

/*

    Add student container

*/
.student-form {
    position: absolute;
    top: 0;
    left: 0;

    opacity: 0;

    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.4);

    display: none;
    place-content: center;
}

.form {
    width: 500px;

    border-radius: 10px;
    transform: translateY(-10px);

    background: white;
}

.title-block {
    height: 60px;
    padding: 7px 15px;

    border-bottom: 2px solid #353540;

    display: grid;
    grid-auto-flow: column;
    justify-content: space-between;
    align-items: center;
}

.close-form-button {
    height: 30px;
    width: 30px;

    border-radius: 5px;

    background-color: transparent;
    border: 2px solid #353540;

    position: relative;

    cursor: pointer;
}

.close-form-button:hover {
    background: #ff4136;
    border: 2px solid transparent;

    animation: ShakingAnimatiom 1s ease-in-out 1;
}

@keyframes ShakingAnimatiom {
    0% {
        transform: rotate(0deg);
    }
    30% {
        transform: rotate(35deg);
    }
    50% {
        transform: rotate(-25deg);
    }
    75% {
        transform: rotate(15deg);
    }
    85% {
        transform: rotate(-8deg);
    }
    92% {
        transform: rotate(5deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.close-form-button::before,
.close-form-button::after {
    content: '';
    display: block;
    position: absolute;
    border: 2px solid #353540;
    width: 10px;
    left: 6.4px;
    top: 12.8px;

    transition-duration: 0.4s;
}

.close-form-button:hover::before,
.close-form-button:hover::after {
    border: 2px solid white;
}

.close-form-button::before {
    transform: rotate(45deg);
}

.close-form-button::after {
    transform: rotate(-45deg);
}

/*

    Form Layout

*/

.form-input-container {
    margin: 0 auto;
    padding: 20px 50px;

    border-bottom: 2px solid #353540;

    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-row-gap: 25px;
}

.form-confirm-button-container {
    padding: 15px 20px;
    display: grid;
    grid-auto-flow: column;
    justify-content: right;
}

.form-confirm-button {
    margin-right: 15px;
    padding: 5px 15px;

    background: none;
    border: 2px solid gray;
    border-radius: 5px;

    cursor: pointer;
}

.form-confirm-button:last-child,
.form-confirm-button:only-child {
    margin-right: 0;
}

.form-confirm-button:hover {
    transform: translateY(-3px) scale(1.05);

    background: dodgerblue;
    color: white;
    border: 2px solid transparent;
}